> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Update the settings for a directory

PATCH https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/settings/
Content-Type: application/json

Update the settings for a specific directory.

Reference: https://docs.partnerpage.io/api-reference/directory/settings/update-the-settings-for-a-directory

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required)

### Body (application/json)

This endpoint expects a PatchedGenericSettingsSerializerWriterRequest.

- `termsOfServiceUrl` (PatchedGenericSettingsSerializerWriterRequestTermsOfServiceUrl, optional, nullable)
- `privacyPolicyUrl` (PatchedGenericSettingsSerializerWriterRequestPrivacyPolicyUrl, optional, nullable)
- `defaultSorting` (enum, optional) — * `title` - Title A-Z * `-title` - Title Z-A * `random` - Random * `recommended` - Recommended (asc) * `tier` - Tier (asc) * `tier_review` - Tier (asc) & Review Count (desc) * `tier_review_average` - Top Rated
  - Allowed values: `title`, `-title`, `random`, `recommended`, `tier`, `tier_review`, `tier_review_average`
- `entryDisclaimerText` (string, optional, nullable)
- `customUrl` (PatchedGenericSettingsSerializerWriterRequestCustomUrl, optional, nullable)
- `customUrlSetupMethod` (string, optional, nullable)
- `landingPageEnabled` (boolean, optional)
- `externalIdUnique` (boolean, optional)
- `partnerWebhooksEnabled` (boolean, optional)
- `partnerApplicationDeclinedEmailEnabled` (boolean, optional)
- `partnerApplicationAcceptanceMessage` (string, optional, nullable)
- `featuredEntriesEnabled` (boolean, optional)
- `tiersEnabled` (boolean, optional)
- `badgesEnabled` (boolean, optional)
- `badgesShowWideEnabled` (boolean, optional)
- `certificationsEnabled` (boolean, optional)
- `verificationsEnabled` (boolean, optional)
- `calloutsEnabled` (boolean, optional)
- `availabilityToggleEnabled` (boolean, optional)
- `specialOffersEnabled` (boolean, optional)
- `pageSizeSelectionOnDirectory` (boolean, optional)
- `showDescriptionOnCard` (boolean, optional)
- `lastUpdatedEnabled` (boolean, optional)
- `entryWebsiteLinkEnabled` (boolean, optional)
- `mediaEnabled` (boolean, optional)
- `caseStudiesEnabled` (boolean, optional)
- `clientsEnabled` (boolean, optional)
- `useCasesEnabled` (boolean, optional)
- `testimonialsEnabled` (boolean, optional)
- `awardsEnabled` (boolean, optional)
- `accreditationsEnabled` (boolean, optional)
- `keywordsEnabled` (boolean, optional)
- `locationsEnabled` (boolean, optional)
- `integrationDescriptionEnabled` (boolean, optional)
- `partnerDescriptionMaxLength` (integer, optional, nullable)
- `questionnaireEnabled` (boolean, optional)
- `customSlugEnabled` (boolean, optional)
- `enrichProfileEntryOwnerEnabled` (boolean, optional)
- `contactRequestsEnabled` (boolean, optional)
- `partnerSourcedLeadsRequireApproval` (boolean, optional)
- `contactRequestProjectStatusesEnabled` (boolean, optional)
- `contactDetailsAfterAcceptEnabled` (boolean, optional)
- `requireBusinessEmailForLeadForms` (boolean, optional)
- `contactButtonLabel` (string, optional, nullable)
- `callToActionEnabled` (boolean, optional)
- `globalCallToActionLabel` (string, optional, nullable)
- `globalCallToActionUrl` (string, optional, nullable) — An http(s) address or a mailto: link.
- `matchmakingRequestsEnabled` (boolean, optional)
- `assignMatchmakingRequestEnabled` (boolean, optional)
- `reviewsEnabled` (boolean, optional)
- `autoApproveReviewsEnabled` (boolean, optional)
- `partnerApplicationsEnabled` (boolean, optional)
- `getListedEnabled` (boolean, optional)
- `partnersInvitationsEnabled` (boolean, optional)
- `indexDirectory` (boolean, optional)
- `enrichProfileDirOwnerEnabled` (boolean, optional)

## Response

### 200

Successful operation

- `href` (string, required)
- `genericDirectoryId` (string, required)
- `customUrl` (string, required, nullable)
- `globalCallToActionUrl` (string, required, nullable)
- `globalCallToActionLabel` (string, required, nullable)
- `contactButtonLabel` (string, required, nullable)
- `featuredEntriesEnabled` (boolean, required)
- `entryTypes` (list of enum, required)
  - Allowed values: `app`, `partner`
- `entryTypeSettings` (map from string to BaseEntryTypeSetting, required)
- `pageSizeSelectionOnDirectory` (boolean, required)
- `filterMappingsEnabled` (boolean, required)
- `badgesEnabled` (boolean, required)
- `calloutsEnabled` (boolean, required)
- `customFormsEnabled` (boolean, required)
- `certificationsEnabled` (boolean, required)
- `verificationsEnabled` (boolean, required)
- `callToActionEnabled` (boolean, required)
- `awardsEnabled` (boolean, required)
- `availabilityToggleEnabled` (boolean, required)
- `landingPageEnabled` (boolean, required)
- `customLandingPagesEnabled` (boolean, required)
- `partnerPortalEnabled` (boolean, required)
- `customSlugEnabled` (boolean, required)
- `darkLogosEnabled` (boolean, required)
- `partnerCompareEnabled` (boolean, required)
- `embeddedEditorEnabled` (boolean, required)
- `keywordsEnabled` (boolean, required)
- `questionnaireEnabled` (boolean, required)
- `mediaEnabled` (boolean, required)
- `caseStudiesEnabled` (boolean, required)
- `clientsEnabled` (boolean, required)
- `testimonialsEnabled` (boolean, required)
- `specialOffersEnabled` (boolean, required)
- `contactRequestsEnabled` (boolean, required)
- `dealRegistrationsEnabled` (boolean, required)
- `partnerSourcedLeadsRequireApproval` (boolean, required)
- `crmConnectionsEnabled` (boolean, required)
- `tiersEnabled` (boolean, required)
- `matchmakingRequestsEnabled` (boolean, required)
- `matchmakingRequestsPublic` (boolean, required)
- `partnerApplicationsEnabled` (boolean, required)
- `getListedEnabled` (boolean, required)
- `assignMatchmakingRequestEnabled` (boolean, required)
- `useCasesEnabled` (boolean, required)
- `accreditationsEnabled` (boolean, required)
- `externalUrlEnabled` (boolean, required)
- `externalIdEnabled` (boolean, required)
- `externalIdUnique` (boolean, required)
- `partnerWebhooksEnabled` (boolean, required)
- `partnerApplicationDeclinedEmailEnabled` (boolean, required)
- `partnerApplicationAcceptanceMessage` (string, required, nullable)
- `showBottomBar` (boolean, required)
- `legacyPartnerViewEnabled` (boolean, required)
- `profileSectionOrderingEnabled` (boolean, required)
- `hostedPagesDisabled` (boolean, required)
- `profilePreviewUrlTemplate` (string, required)
- `holdRepeatedRequestsEnabled` (boolean, required)
- `serviceMarketplaceEnabled` (boolean, required)
- `recommendedSortEnabled` (boolean, required)
- `internalDirectoryEnabled` (boolean, required)
- `defaultSorting` (string, required)
- `entryApprovalFlowEnabled` (boolean, required)
- `supportEnabled` (boolean, required)
- `locationEnabled` (boolean, required)
- `locationsEnabled` (boolean, required)
- `contactRequestProjectStatusesEnabled` (boolean, required)
- `contactDetailsAfterAcceptEnabled` (boolean, required)
- `partnersInvitationsEnabled` (boolean, required)
- `lastUpdatedEnabled` (boolean, required)
- `entryDisclaimerTextEnabled` (boolean, required)
- `gdprEnabled` (boolean, required)
- `termsOfServiceUrl` (GenericSettingsTermsOfServiceUrl, required, nullable)
- `privacyPolicyUrl` (GenericSettingsPrivacyPolicyUrl, required, nullable)
- `integrationDescriptionEnabled` (boolean, required)
- `partnerEmbedEnabled` (boolean, required)
- `partnerDescriptionMaxLength` (integer, required, nullable)
- `reviewsEnabled` (boolean, required)
- `autoApproveReviewsEnabled` (boolean, required)
- `showFullReviewInformationEnabled` (boolean, required)
- `showDescriptionOnCard` (boolean, required)
- `i18nEnabled` (boolean, required)
- `i18nMode` (enum, required, nullable) — * `prefix` - Prefix * `query_param` - Query param
  - Allowed values: `prefix`, `query_param`
- `i18nLanguages` (any, required, nullable)
- `i18nDynamicContentTranslationEnabled` (boolean, required, nullable)
- `partnerFinderEnabled` (boolean, required)
- `badgesShowWideEnabled` (boolean, required)
- `crmObjectsEnabled` (boolean, required)
- `schedulerEnabled` (boolean, required)
- `schedulerPostCallFeedbackEnabled` (boolean, required)
- `enrichProfileDirOwnerEnabled` (boolean, required)
- `enrichProfileEntryOwnerEnabled` (boolean, required)
- `entryWebsiteLinkEnabled` (boolean, required)
- `contactRequestsCustomFieldsForm` (string, required, nullable)
- `requireBusinessEmailForLeadForms` (boolean, required)
- `selfServeSettingsEnabled` (boolean, required)
- `indexDirectory` (boolean, required)
- `type` (string, required)
- `plan` (string, required)
- `urlCustomizationEnabled` (boolean, required)
- `webhooksEnabled` (boolean, required)
- `webhooksSecret` (string, required)
- `customUrlSetupMethod` (string, required, nullable)
- `customDomainRouterId` (string, required, nullable)
- `entryDisclaimerText` (string, optional, nullable)
- `profileFieldsEnabled` (boolean, optional, default: false)
- `profileFieldDefinitions` (list of ProfileFieldDefinitionSerializerReader, optional)
- `friendlySubdomain` (string, optional, nullable)
- `friendlyUrl` (string, optional, nullable)

## Errors

### 400 Bad Request Error

- `map from string to any`

### 403 Forbidden Error

- `map from string to any`

### 404 Not Found Error

- `map from string to any`

### 500 Internal Server Error

- `map from string to any`

## Types

### PatchedGenericSettingsSerializerWriterRequestTermsOfServiceUrl

- string
- string

### PatchedGenericSettingsSerializerWriterRequestPrivacyPolicyUrl

- string
- string

### PatchedGenericSettingsSerializerWriterRequestCustomUrl

- string
- string

### BaseEntryTypeSetting

- `urlSegment` (string, required)
- `onCardClick` (string, optional)
- `showCardLinksAsInternal` (boolean, optional)

### GenericSettingsTermsOfServiceUrl

- string
- string

### GenericSettingsPrivacyPolicyUrl

- string
- string

### ProfileFieldDefinitionSerializerReader

- `id` (string, required)
- `key` (string, required)
- `name` (string, required)
- `helpText` (string, required)
- `type` (enum, required) — * `short_text` - Short text * `long_text` - Long text * `integer` - Whole number * `decimal` - Decimal * `currency` - Currency amount * `price` - Price * `date` - Date * `single_choice` - Single choice * `multiple_choice` - Multiple choice * `boolean` - Yes/no * `url` - Link * `email` - Email * `phone` - Phone * `image` - Image * `file` - File
  - Allowed values: `short_text`, `long_text`, `integer`, `decimal`, `currency`, `price`, `date`, `single_choice`, `multiple_choice`, `boolean`, `url`, `email`, `phone`, `image`, `file`
- `required` (boolean, required)
- `visibility` (enum, required) — * `internal` - Internal * `public` - Public
  - Allowed values: `internal`, `public`
- `editableBy` (enum, required) — * `partner` - Partner can edit * `owner` - Only the directory owner can edit
  - Allowed values: `partner`, `owner`
- `placement` (enum, required) — * `sidebar` - Sidebar * `main` - Main column
  - Allowed values: `sidebar`, `main`
- `order` (integer, required)
- `rules` (map from string to any, required)
- `archivedAt` (datetime, required, nullable)
- `restoreUntil` (datetime, required, nullable)
- `filledCount` (integer, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "href": "/api/directory/private/v1alpha/directories/e6704845-131a-43b7-a72f-56fbb0c6e72d/settings/",
  "genericDirectoryId": "e6704845-131a-43b7-a72f-56fbb0c6e72d",
  "customUrl": null,
  "globalCallToActionUrl": "string",
  "globalCallToActionLabel": "string",
  "contactButtonLabel": "string",
  "featuredEntriesEnabled": false,
  "entryTypes": [
    "app",
    "partner"
  ],
  "entryTypeSettings": {
    "app": {
      "urlSegment": "app",
      "onCardClick": "details",
      "showCardLinksAsInternal": false
    },
    "partner": {
      "urlSegment": "partner"
    }
  },
  "pageSizeSelectionOnDirectory": false,
  "filterMappingsEnabled": false,
  "badgesEnabled": false,
  "calloutsEnabled": false,
  "customFormsEnabled": true,
  "certificationsEnabled": false,
  "verificationsEnabled": false,
  "callToActionEnabled": true,
  "awardsEnabled": true,
  "availabilityToggleEnabled": true,
  "landingPageEnabled": true,
  "customLandingPagesEnabled": true,
  "partnerPortalEnabled": true,
  "customSlugEnabled": true,
  "darkLogosEnabled": true,
  "partnerCompareEnabled": true,
  "embeddedEditorEnabled": true,
  "keywordsEnabled": true,
  "questionnaireEnabled": true,
  "mediaEnabled": true,
  "caseStudiesEnabled": false,
  "clientsEnabled": true,
  "testimonialsEnabled": true,
  "specialOffersEnabled": true,
  "contactRequestsEnabled": false,
  "dealRegistrationsEnabled": true,
  "partnerSourcedLeadsRequireApproval": true,
  "crmConnectionsEnabled": true,
  "tiersEnabled": true,
  "matchmakingRequestsEnabled": true,
  "matchmakingRequestsPublic": true,
  "partnerApplicationsEnabled": true,
  "getListedEnabled": true,
  "assignMatchmakingRequestEnabled": true,
  "useCasesEnabled": true,
  "accreditationsEnabled": true,
  "externalUrlEnabled": false,
  "externalIdEnabled": true,
  "externalIdUnique": false,
  "partnerWebhooksEnabled": true,
  "partnerApplicationDeclinedEmailEnabled": true,
  "partnerApplicationAcceptanceMessage": "string",
  "showBottomBar": false,
  "legacyPartnerViewEnabled": true,
  "profileSectionOrderingEnabled": true,
  "hostedPagesDisabled": true,
  "profilePreviewUrlTemplate": "string",
  "holdRepeatedRequestsEnabled": true,
  "serviceMarketplaceEnabled": true,
  "recommendedSortEnabled": false,
  "internalDirectoryEnabled": true,
  "defaultSorting": "random",
  "entryApprovalFlowEnabled": false,
  "supportEnabled": false,
  "locationEnabled": true,
  "locationsEnabled": true,
  "contactRequestProjectStatusesEnabled": false,
  "contactDetailsAfterAcceptEnabled": true,
  "partnersInvitationsEnabled": true,
  "lastUpdatedEnabled": false,
  "entryDisclaimerTextEnabled": true,
  "gdprEnabled": true,
  "termsOfServiceUrl": null,
  "privacyPolicyUrl": null,
  "integrationDescriptionEnabled": true,
  "partnerEmbedEnabled": true,
  "partnerDescriptionMaxLength": 1,
  "reviewsEnabled": true,
  "autoApproveReviewsEnabled": true,
  "showFullReviewInformationEnabled": true,
  "showDescriptionOnCard": true,
  "i18nEnabled": true,
  "i18nMode": "prefix",
  "i18nLanguages": null,
  "i18nDynamicContentTranslationEnabled": true,
  "partnerFinderEnabled": true,
  "badgesShowWideEnabled": true,
  "crmObjectsEnabled": true,
  "schedulerEnabled": true,
  "schedulerPostCallFeedbackEnabled": true,
  "enrichProfileDirOwnerEnabled": true,
  "enrichProfileEntryOwnerEnabled": true,
  "entryWebsiteLinkEnabled": true,
  "contactRequestsCustomFieldsForm": "string",
  "requireBusinessEmailForLeadForms": true,
  "selfServeSettingsEnabled": true,
  "indexDirectory": true,
  "type": "string",
  "plan": "string",
  "urlCustomizationEnabled": true,
  "webhooksEnabled": true,
  "webhooksSecret": "string",
  "customUrlSetupMethod": "string",
  "customDomainRouterId": "string",
  "autoApproveReviews": true,
  "organizationInvitesToOwnPartnersEnabled": false,
  "showFullReviewInformation": false
}
```

**SDK Code**

```python application/json example
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/settings/"

payload = {}
headers = {
    "Authorization": "Token  <apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript application/json example
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/settings/';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Token  <apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```